=== debian/changelog ===
dtksystemsettings (1.0.0-1) unstable; urgency=medium

  * update

 -- Packages Builder <packages@deepin.com>  Mon, 10 Oct 2022 16:05:05 +0800

dtksystemsettings (1.0.0) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 01 Jul 2022 14:29:07 +0800
