=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

%:
	dh $@ --parallel
VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION=$(PACK_VER)
