=== debian/changelog ===
dtksystemsettings (1.0.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 13:23:21 +0800

dtksystemsettings (1.0.3) unstable; urgency=medium

  * Update changelog
  * Add Dexpected support

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 10:58:14 +0800
