=== debian/control ===
Source: dtksystemsettings
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 doxygen,
 qhelpgenerator-qt5 | qttools5-dev-tools,
 qtbase5-dev,
 libdtkcore-dev,
 graphviz
Standards-Version: 4.5.0

Package: libdtksystemsettings1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Deepin Tool Kit template library
 libdtksystemsettings is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtksystemsettings-dev
Architecture: any
Depends:${misc:Depends}, libdtksystemsettings1( =${binary:Version})
Description: Deepin Tool Kit template devel library
 libdtksystemsettings-dev is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries.
