=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -2,21 +2,36 @@
 #
 # SPDX-License-Identifier: LGPL-3.0-or-later
 
-set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt5/doc CACHE STRING "QCH install location")
-set (DOXYGEN_GENERATE_HTML "YES" CACHE STRING "Doxygen HTML output")
-set (DOXYGEN_GENERATE_XML "NO" CACHE STRING "Doxygen XML output")
-set (DOXYGEN_GENERATE_QHP "YES" CACHE STRING "Doxygen QHP output")
+find_package(Doxygen REQUIRED)
+set(QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt${QT_VERSION_MAJOR}/doc CACHE STRING "QCH install location")
+set(DOXYGEN_GENERATE_HTML YES CACHE STRING "Doxygen HTML output")
+set(DOXYGEN_GENERATE_XML YES CACHE STRING "Doxygen XML output")
+set(DOXYGEN_GENERATE_QHP YES CACHE STRING "Doxygen QHP output")
 set (DOXYGEN_FILE_PATTERNS *.cpp *.h *.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
 set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
 set (DOXYGEN_EXTRACT_STATIC YES)
 set (DOXYGEN_OUTPUT_LANGUAGE "Chinese")
-set (DOXYGEN_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/docs/)
-set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
+
+if("${QT_VERSION_MAJOR}" STREQUAL "5")
+    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Help)
+else()
+    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS ToolsTools)
+endif()
+
+get_target_property(_qhelpgenerator_location Qt${QT_VERSION_MAJOR}::qhelpgenerator IMPORTED_LOCATION)
+
+if("${_qhelpgenerator_location}" STREQUAL "")
+    set(_qhelpgenerator_location "qhelpgenerator")
+endif()
+
+set(DOXYGEN_QHG_LOCATION ${_qhelpgenerator_location} CACHE STRING "Doxygen QHG path")
+
+set(DOXYGEN_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/docs/)
 set (DOXYGEN_QHP_NAMESPACE "org.deepin.dtk.systemsettings")
 set (DOXYGEN_QCH_FILE "${LIB_NAME}.qch")
 set (DOXYGEN_QHP_VIRTUAL_FOLDER ${LIB_NAME})
 set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
-set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://doc.qt.io/qt-5/" CACHE STRING "Doxygen tag files")
+set(DOXYGEN_TAGFILES "qtcore.tags=qthelp://doc.qt.io/qt-${QT_VERSION_MAJOR}/" CACHE STRING "Doxygen tag files")
 set (DOXYGEN_MACRO_EXPANSION "YES")
 set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")
 set (DOXYGEN_PREDEFINED
