=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory(accounts)
add_subdirectory(login)
add_subdirectory(power)
add_subdirectory(rfmanager)
add_subdirectory(systemtime)
