=== debian/changelog ===
dtksystemsettings (5.6.20) unstable; urgency=medium

  * release 5.6.20

 -- YuMing He <heyuming@deepin.org>  Mon, 25 Dec 2023 10:51:31 +0800
