=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  debhelper-compat (= 12),
  cmake,
  doxygen,
- qhelpgenerator-qt5 | qttools5-dev-tools,
+ qhelpgenerator-qt5,
+ qttools5-dev,
  qtbase5-dev,
  libdtkcore-dev,
+ libdtkcommon-dev,
  graphviz
 Standards-Version: 4.5.0
 
-Package: libdtksystemsettings1
+Package: libdtksystemsettings5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Deepin Tool Kit template library
@@ -22,7 +24,7 @@
 
 Package: libdtksystemsettings-dev
 Architecture: any
-Depends:${misc:Depends}, libdtksystemsettings1( =${binary:Version})
+Depends:${misc:Depends}, libdtksystemsettings5( =${binary:Version})
 Description: Deepin Tool Kit template devel library
  libdtksystemsettings-dev is base devel library of Deepin Qt/C++ applications.
  .
